"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_transition_group_1 = require("react-transition-group");
var animations_1 = require("./animations");
var presets_1 = require("./presets");
var PageTransitionGroup_1 = require("./PageTransitionGroup");
var PageTransitionWrapper_1 = require("./PageTransitionWrapper");
function PageTransition(_a) {
    var children = _a.children, enterAnimationOverride = _a.enterAnimation, exitAnimationOverride = _a.exitAnimation, preset = _a.preset, transitionKey = _a.transitionKey, rest = __rest(_a, ["children", "enterAnimation", "exitAnimation", "preset", "transitionKey"]);
    var selectEnterAnimation = function () {
        if (enterAnimationOverride) {
            if (typeof enterAnimationOverride === 'string') {
                return animations_1.animations[enterAnimationOverride];
            }
            return __assign(__assign({}, animations_1.animations[enterAnimationOverride.name]), { delay: enterAnimationOverride.delay, onTop: enterAnimationOverride.onTop });
        }
        if (preset) {
            return __assign(__assign({}, animations_1.animations[presets_1.presets[preset].enter.name]), { delay: presets_1.presets[preset].enter.delay, onTop: presets_1.presets[preset].enter.onTop });
        }
        return 'rotateSlideIn';
    };
    var selectExitAnimation = function () {
        if (exitAnimationOverride) {
            if (typeof exitAnimationOverride === 'string') {
                return animations_1.animations[exitAnimationOverride];
            }
            return __assign(__assign({}, animations_1.animations[exitAnimationOverride.name]), { delay: exitAnimationOverride.delay, onTop: exitAnimationOverride.onTop });
        }
        if (preset) {
            return __assign(__assign({}, animations_1.animations[presets_1.presets[preset].exit.name]), { delay: presets_1.presets[preset].exit.delay, onTop: presets_1.presets[preset].exit.onTop });
        }
        return 'rotateSlideIn';
    };
    var enterAnimation = selectEnterAnimation();
    var exitAnimation = selectExitAnimation();
    var timeout = Math.max(enterAnimation.duration, exitAnimation.duration);
    return (react_1.default.createElement(PageTransitionGroup_1.PageTransitionGroup, __assign({}, rest),
        react_1.default.createElement(react_transition_group_1.TransitionGroup, { component: null },
            react_1.default.createElement(react_transition_group_1.Transition, { key: transitionKey, timeout: timeout }, function (state) { return (react_1.default.createElement(PageTransitionWrapper_1.PageTransitionWrapper, { enterAnimation: enterAnimation, exitAnimation: exitAnimation, state: state }, children)); }))));
}
exports.default = (0, react_1.memo)(PageTransition);
