import { Keyframes } from 'styled-components';
import { Property } from 'csstype';
interface Animation {
    keyframes: Keyframes;
    duration: number;
    timing: string;
    fill: Property.Fill;
    delay?: Property.AnimationDelay;
    origin?: Property.TransformOrigin;
    onTop?: boolean;
}
declare const animations: {
    moveToLeft: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveFromLeft: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveToRight: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveFromRight: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveToTop: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveFromTop: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveToBottom: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveFromBottom: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    fade: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveToLeftFade: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveFromLeftFade: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveToRightFade: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveFromRightFade: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveToTopFade: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveFromTopFade: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveToBottomFade: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    moveFromBottomFade: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    scaleDown: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    scaleUp: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    scaleUpDown: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    scaleDownUp: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    scaleDownCenter: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    scaleUpCenter: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    rotateRightSideFirst: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateLeftSideFirst: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateTopSideFirst: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateBottomSideFirst: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    flipOutRight: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    flipInLeft: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    flipOutLeft: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    flipInRight: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    flipOutTop: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    flipInBottom: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    flipOutBottom: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    flipInTop: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateFall: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateOutNewspaper: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateInNewspaper: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotatePushLeft: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotatePushRight: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotatePushTop: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotatePushBottom: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotatePullRight: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotatePullLeft: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotatePullTop: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotatePullBottom: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateFoldRight: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateFoldLeft: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateFoldTop: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateFoldBottom: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateUnfoldLeft: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateUnfoldRight: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateUnfoldTop: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateUnfoldBottom: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateRoomLeftOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateRoomLeftIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateRoomRightOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateRoomRightIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateRoomTopOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateRoomTopIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateRoomBottomOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateRoomBottomIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCubeLeftOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCubeLeftIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCubeRightOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCubeRightIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCubeTopOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCubeTopIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCubeBottomOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCubeBottomIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCarouselLeftOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCarouselLeftIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCarouselRightOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCarouselRightIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCarouselTopOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCarouselTopIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCarouselBottomOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateCarouselBottomIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateSidesOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateSidesIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
        origin: string;
    };
    rotateSlideOut: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
    rotateSlideIn: {
        keyframes: Keyframes;
        duration: number;
        timing: string;
        fill: string;
    };
};
export { animations, Animation };
